<?php
/*******************************************
RealTimeDesigner.Com - API Sample File

SAMPLE CODE TO GET COMPILED LIVE PRICING LINKS

This sample shows how to retrieve from RTD a table with your defined pricings.

The generated pricing table utilizes CSS classes which you can control to change the appearance of the tables.
Use your browsers VIEW SOURCE to see specific class names.
This sample file includes also an example of a basic CSS formatting.

Used Actions in this sample:
GetProductCompiledDescription
*******************************************/

require("RTD_functions.php");

$params=array();

// Setting the parameters
$params['action']='GetProductCompiledDescription';
$params['product_id']='000';
$params['description']="
	[MATRIX]
		size=0&colors=1&name=1 Color
		size=0&colors=0&name=Full Color<br><br>
	[ENDMATRIX]
";

// Execute the API operation and parse the resulting XML; see the RTD_Post and RTD_XML_Parser functions.
$data = RTD_Post($params);
$parsed_data = RTD_XML_Parser($data);

// print result
?>
<html>
<head>
	<style>
		.pricingtable_table_header_empty {
		     background-color: #ff0000;
		     text-align: center;
		     color: #ffffff;
		     padding: 10px;
		}
		.pricingtable_table_header {
		     background-color: #ff0000;
		     text-align: center;
		     color: #ffffff;
		     padding: 10px 10px;
		}
		.pricingtable_table_colors_1_name {
		     background-color: #ffffff;
		     text-align: center;
		     color: #000000;
		}
		.pricingtable_table_colors_1_value {
		     background-color: #ffffff;
		     text-align: center;
		     color: #000000;
		}
		.pricingtable_table {
		     border: 1px solid #000000;
		     border-collapse: collapse;
		}
		.pricingtable_table td {
			border: 1px solid #000000;
			padding: 10px;
		}
	</style>
</head>

<body>

<b>RTD Live Pricing Links of Product ID <?=$params['product_id']?> for username <?=$RTD_API_USERNAME?></b><br><br>
<?=trim($parsed_data["RTD_REPLY"]["PARSED_DESCRIPTION"])?>

</body></html>