<?php
/*******************************************
RealTimeDesigner.Com - API Sample File

SAMPLE CODE TO OBTAIN A LINK TO RTD THAT WILL ALSO AUTOLOGIN A USER ID

This sample shows how to create a link to the RTD which will also log in a secific registered user.

Used Actions in this sample:
GetUserAutologinUrl

*******************************************/

require("RTD_functions.php");

$params=array();

// Parameters to request for user autologin
$params['action']='GetUserAutologinUrl';
$params['rtd_link']='http://designer.realtimedesigner.com/yourcompanyname/everylink';
$params['user_id']='123';

// Execute the API operation and parse the resulting XML; see the RTD_Post and RTD_XML_Parser functions.
$data = RTD_Post($params);
$parsed_data = RTD_XML_Parser($data);

// print the resulting array
echo "<pre>\n";
print_r($parsed_data);
echo "</pre><hr>\n";

// check the edit operation result.
// if there were errors, returned AUTOLOGINURL will be empty and ERROR will contain the description of the problem

$autologinurl=$parsed_data["RTD_REPLY"]["AUTOLOGINURL"];
$error=$parsed_data["RTD_REPLY"]["ERROR"];

if ($autologinurl!='') {
	echo "autologinurl: $autologinurl<br>\n";
} else {
	echo "ERROR: $error<br>\n";
}
?>