<?php
/*******************************************
RealTimeDesigner.Com - API Sample File

MAIN FILE TO BE INLCUDED IN EACH API SCRIPT

This file should remain unchanged.
Just change the $RTD_API_USERNAME, $RTD_API_PASSWORD and $RTD_API_SIGNATURE values to reflect your RTD login credentials.
*******************************************/

$RTD_API_USERNAME = 'your_rtd_username';
$RTD_API_PASSWORD = 'your_rtd_password';
$RTD_API_SIGNATURE = 'your_rtd_signature';
$store_name=''; // The specific store you want links to. Leave empty for the Main Store

$realtimedesigner_url='http://designer.realtimedesigner.com';
// *****************************************************************************

function RTD_XML_Parser($data) {
	$data = strstr($data, '<?');
	$xml_parser = xml_parser_create();
	xml_parse_into_struct($xml_parser, $data, $vals, $index);
	xml_parser_free($xml_parser);
	$params = array();
	$level = array();
	foreach ($vals as $xml_elem) {
		if ($xml_elem['type'] == 'open') {
			if (array_key_exists('attributes',$xml_elem)) {
				list($level[$xml_elem['level']],$extra) = array_values($xml_elem['attributes']);
			} else {
				$level[$xml_elem['level']] = $xml_elem['tag'];
			}
		}
		if ($xml_elem['type'] == 'complete') {
			$start_level = 1;
			$php_stmt = 'if (isset ($xml_elem[\'value\'])) {';
				$php_stmt .= '$params';
				while($start_level < $xml_elem['level']) {
					$php_stmt .= '[$level['.$start_level.']]';
					$start_level++;
				}
				$php_stmt .= '[$xml_elem[\'tag\']] = $xml_elem[\'value\'];';
			$php_stmt .= '}';
			eval($php_stmt);
		}
	}
	return $params;
}

function RTD_Post($params) {
	global $RTD_API_USERNAME,$RTD_API_PASSWORD,$RTD_API_SIGNATURE,$realtimedesigner_url;
	
	$API_page = $realtimedesigner_url."/api.php";
	$API_params = "rtd_login=$RTD_API_USERNAME&rtd_password=$RTD_API_PASSWORD&rtd_signature=$RTD_API_SIGNATURE";
	
	// setting the curl parameters.
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $API_page);
	curl_setopt($ch, CURLOPT_VERBOSE, 1);
	
	// Set the curl parameters.
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_POST, 1);
	
	// Set the API operation, version, and API signature in the request.
	$nvpreq = $API_params;
	foreach($params as $key => $value) $nvpreq .= '&'.urlencode($key).'='.urlencode($value);
	// Set the request as a POST FIELD for curl.
	curl_setopt($ch, CURLOPT_POSTFIELDS, $nvpreq);
	// Get response from the server.
	$httpResponse = curl_exec($ch);
	if(!$httpResponse) {
		exit('$methodName_ failed: '.curl_error($ch).'('.curl_errno($ch).')');
	}
	
	return $httpResponse;
}
?>